## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           trurl
Version:        0.10
Release:        %autorelease
Summary:        Command line tool for URL parsing and manipulation

License:        curl
URL:            https://curl.se/trurl
Source0:        https://github.com/curl/trurl/archive/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  python3-devel

%description
A small command line tool that parses and manipulates URLs, designed to help
shell script authors everywhere.

%prep
%autosetup -n %{name}-%{name}-%{version}

%build
%make_build

%check
make test

%install
%make_install PREFIX=%{_prefix}

%files
%license COPYING
%doc README.md RELEASE-NOTES
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Feb 27 2024 Gustavo Costa <xfgusta@gmail.com> 0.10-1
- Update to 0.10 (rhbz#2265068)

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Dec 03 2023 Gustavo Costa <xfgusta@gmail.com> 0.9-1
- Update to 0.9 (rhbz#2247577)

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jun 18 2023 Gustavo Costa <xfgusta@gmail.com> 0.8-1
- Update to 0.8 (rhbz#2215702)

* Wed May 31 2023 Gustavo Costa <xfgusta@gmail.com> 0.7-1
- Update to 0.7 (rhbz#2211055)

* Wed Apr 26 2023 Gustavo Costa <xfgusta@gmail.com> 0.6-1
- Update to 0.6 (rhbz#2189942)

* Tue Apr 18 2023 Gustavo Costa <xfgusta@gmail.com> - 0.5-1
- Update to 0.5 (rhbz#2187771)
- Use python to run tests
- Set CFLAGS
- Add patch to update the version

* Tue Apr 11 2023 Gustavo Costa <xfgusta@gmail.com> - 0.4-1
- Update to 0.4 (rhbz#2185147)

* Sat Apr 08 2023 Gustavo Costa <xfgusta@gmail.com> - 0.3-1
- Update to 0.3
- Add BR perl(Test::More)
- Drop patch
- Change URL
- Add RELEASE-NOTES to doc

* Tue Apr 04 2023 Gustavo Costa <xfgusta@gmail.com> - 0.2-1
- Initial package

